package ink.wgink.register.base.pojo.vos;

import io.swagger.annotations.ApiModel;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RegisterPhoneVO
 * @Description: 手机注册
 * @Author: wanggeng
 * @Date: 2021/5/1 11:47 上午
 * @Version: 1.0
 */
@ApiModel
public class RegisterPhoneWithExpandInfoVO extends RegisterPhoneVO {

    private Map<String, Object> expandInfo;

    public Map<String, Object> getExpandInfo() {
        return expandInfo;
    }

    public void setExpandInfo(Map<String, Object> expandInfo) {
        this.expandInfo = expandInfo;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"expandInfo\":")
                .append(expandInfo);
        sb.append('}');
        return sb.toString();
    }
}
